Imports System.Collections.Generic

Public Interface ICart

  ReadOnly Property CartItems() As Dictionary(Of String, ICartItem)

  ReadOnly Property CanUndo() As Boolean

  ReadOnly Property MonthlyTotal() As Decimal

  ReadOnly Property OneTimeTotal() As Decimal

  ReadOnly Property GrandTotal() As Decimal

  ReadOnly Property OneTimeChargeItems() As Dictionary(Of String, Decimal)

  ReadOnly Property Submitted() As Boolean

End Interface

